SIM_SPINDLE(9)

NAME

sim_spindle - Simulated spindle with index pulse

SYNOPSIS

loadrt sim_spindle [count=N|names=name1[,name2...]]

FUNCTIONS

sim-spindle.N (requires a floating-point thread)

PINS

sim-spindle.N.velocity-cmd float in
    Commanded speed

sim-spindle.N.position-fb float out
    Feedback position, in revolutions

sim-spindle.N.index-enable bit io
    Reset position-fb to 0 at the next full rotation

PARAMETERS

sim-spindle.N.scale float rw (default: 1.0)
    factor applied to velocity-cmd.

    The result of 'velocity-cmd * scale' be in revolutions per second. For example, if velocity-cmd is in revolutions/minute, scale should be set to 1/60 or 0.016666667.

AUTHOR

Michael Haberler

LICENSE

GPL